// EFileBrowser	 (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __MESSAGES_H_
#define __MESSAGES_H_

enum Messages
{
	// Application menu
	MSG_MENU_APP_QUIT,
	MSG_MENU_APP_ABOUT,

	// View menu
	MSG_MENU_SIDEBAR_TREEVIEW,
	MSG_MENU_SIDEBAR_FILEINFO,
	MSG_MENU_SIDEBAR_ATTRIBUTES,
	MSG_MENU_SIDEBAR_SEARCH,
	MSG_MENU_SIDEBAR_FAVOURITES,
	MSG_MENU_SIDEBAR_HIDE,
	MSG_MENU_VIEW_MENU,
	MSG_MENU_VIEW_TOOLBAR,
	MSG_MENU_VIEW_ADDRESSBAR_TEXT,
	MSG_MENU_VIEW_ADDRESSBAR_BUTTON,
	MSG_MENU_VIEW_ADDRESSBAR_HIDE,
	MSG_MENU_VIEW_TAB_SHOW,
	MSG_MENU_VIEW_TAB_HIDE,
	MSG_MENU_VIEW_TAB_AUTOMATIC,
	MSG_MENU_VIEW_STATUSBAR,
	MSG_MENU_VIEW_ICONS,
	MSG_MENU_VIEW_LIST,
	MSG_MENU_VIEW_DETAILS,
	MSG_MENU_FAVOURITES_ADD,
	MSG_MENU_FAVOURITES_ADMIN,
	MSG_MENU_FAVOURITES_LINK,
	MSG_MENU_TABS_NEW_BROWSER_TAB,
	MSG_MENU_TABS_CLOSE,
	MSG_MENU_TABS_CLOSE_ALL,
	MSG_MENU_TABS_CLOSE_ALL_OTHER,
	MSG_MENU_TABS_PREVIOUS_TAB,
	MSG_MENU_TABS_NEXT_TAB,
	MSG_MENU_TABS_ACTIVATE_TAB,

	// Toolbar
	MSG_TOOLBAR_HOME,
	MSG_TOOLBAR_BACK,
	MSG_TOOLBAR_UP,

	// Address bar
	MSG_DIRBAR_CHANGE_DIR,

	// Browser
	MSG_BROWSER_CHANGE_DIR,
	MSG_BROWSER_SELECTION_CHANGED,
	MSG_BROWSER_UPDATE_STATUSBAR,
	MSG_BROWSER_MOUNT,
	MSG_BROWSER_UNMOUNT,
	MSG_BROWSER_OPEN,
	MSG_BROWSER_OPEN_WITH,
	MSG_BROWSER_OPEN_NEW_TAB,
	MSG_BROWSER_CALL_SCRIPT,
	MSG_BROWSER_CUT,	
	MSG_BROWSER_COPY,
	MSG_BROWSER_PASTE,
	MSG_BROWSER_RENAME,
	MSG_BROWSER_DELETE,
	MSG_BROWSER_PROPERTIES,


	// Tab
	MSG_TAB,

	// Sidebar
	MSG_SIDEBAR_HIDE,
	MSG_SIDEBAR_SEARCH,
	MSG_SIDEBAR_ADVANCED_SEARCH,
	MSG_SIDEBAR_RECURSIVE_SEARCH,
	MSG_SIDEBAR_FAVOURITES_ADD,
	MSG_SIDEBAR_FAVOURITES_SELECT,
	MSG_SIDEBAR_ATTRIBUTES_SHOW,
	MSG_SIDEBAR_TREEVIEW_CHANGED_DIR,

	// SearchKeeper
	MSG_SEARCHKEEPER_START_SEARCH,
	MSG_SEARCHKEEPER_STOP_SEARCH,
	MSG_SEARCHKEEPER_RESTART_SEARCH,
	MSG_SEARCHKEEPER_ADD_SEARCH_RESULT,
	MSG_SEARCHKEEPER_ACK_SEARCH_RESULT,
	MSG_SEARCHKEEPER_NEW_SEARCH_PATH,
	MSG_SEARCHKEEPER_ACK_SEARCH_PATH,
	MSG_SEARCHKEEPER_SEARCH_READY,

	// MISC
	MSG_FAVOURITES_ADD,

	// Used where no message is required
	MSG_VOID
};

#endif

